Bug 844753 - Review request: python-django-typepadapp - A helper Django app for making TypePad applications
Review request: python-django-typepadapp - A helper Django app for making Typ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
Stalled Submitter
:
Depends On:
Blocks: 839882
  Show dependency treegraph
 
Reported: 2012-07-31 12:03 EDT by Luis Bazan
Modified: 2014-03-21 18:33 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-django-typepadapp-1.2.1-9.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-28 13:31:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bkabrda: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Luis Bazan 2012-07-31 12:03:38 EDT
SPEC: http://lbazan.fedorapeople.org/python-django-typepad.spec
SRPM: http://lbazan.fedorapeople.org/python-django-typepad-1.1.3-2.fc17.src.rpm


$ rpmlint -v python-django-typepad.spec 
python-django-typepad.spec: I: checking-url http://pypi.python.org/packages/source/t/typepadapp/typepadapp-1.1.3.tar.gz (timeout 10 seconds)
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 1 Bohuslav "Slavek" Kabrda 2012-08-02 04:31:47 EDT
I'll take this for a review.
Comment 2 Bohuslav "Slavek" Kabrda 2012-08-02 04:41:23 EDT
- The upstream name is typepad, why exactly is your pkg named python-django-typepad - it should be named just python-typepad - please rename the package and this review request.
- There is no need for defining the %python_sitelib, if you only target F18 (which is the target for all the django to python-django renames).
- I believe that the URL should be "https://github.com/saymedia/python-typepad-api".
- I believe you should update to latest version, which seems to be 2.0 [1]
- The upstream archive contains some unit tests, you should run them in the %check section.
- You provide and obsolete %{pkgname}, which has value of "typepadapp", but in fact you want to provide and obsolete django-typepad, please fix this.
- Consider leaving the old changelog of django-typepad in place.
- There is no need to specify the %defattr in %files; also, you don't need to do "rm -rf $RPM_BUILD_ROOT"


[1] http://pypi.python.org/pypi/typepad/2.0
Comment 3 Luis Bazan 2012-08-02 10:12:36 EDT
The Old name of the package is Django-typepad http://pkgs.fedoraproject.org/cgit/?q=django-typepad

http://pkgs.fedoraproject.org/cgit/django-typepad.git/tree/django-typepad.spec

One of the requires for this packages is python-typepad 

I got confused with the package and had bad url sorry for this


------------------------------------------------------------------------------

I fix all 

these is the new spec:

SPEC:http://lbazan.fedorapeople.org/python-django-typepad.spec
SRPM:http://lbazan.fedorapeople.org/python-django-typepad-1.2.1-2.fc17.src.rpm

Regards!
Comment 4 Bohuslav "Slavek" Kabrda 2012-08-03 02:51:31 EDT
- You probably forgot to actually switch pkgname to django-typepad. Please do that.
- Also, note that the dependencies, such as Django and FeedParser are downloaded from pypi during tests. This is wrong and will not work in Koji. Please add all of them as BuildRequires and make sure nothing is being downloaded during the mock build.
(BTW I'm going on vacation starting tomorrow, so I hope you won't mind waiting a week before going on with this review...)
Comment 5 Luis Bazan 2012-08-09 15:34:53 EDT
Hi

fix: nothing being downloaded during the mock build

http://lbazan.fedorapeople.org/python-django-typepad.spec
http://lbazan.fedorapeople.org/python-django-typepad-1.2.1-3.fc17.src.rpm

Regards.
Comment 6 Bohuslav "Slavek" Kabrda 2012-08-13 04:20:28 EDT
Luis, have you removed the tests running in %check section? I believe that you had that in a previous version - put it back there and run the tests, please.
Also, pkgname macro should really have value "django-typepad", please fix that as well.

Thanks.
Comment 7 Bohuslav "Slavek" Kabrda 2012-08-27 04:30:00 EDT
Ping, any progress here?
Comment 8 Luis Bazan 2012-09-06 12:30:39 EDT
migration tasks at work ended in the weekend

Regards
Comment 9 Matthias Runge 2012-11-01 15:23:06 EDT
any progress, it's about 2 months later now...
Comment 10 Matthias Runge 2012-12-14 06:57:20 EST
Another ping?
Comment 11 Eduardo Echeverria 2013-06-18 02:04:48 EDT
the realname of this python lib is typeadapp
https://pypi.python.org/pypi/typepadapp/1.2.1

the original review is here 
https://bugzilla.redhat.com/show_bug.cgi?id=527445

I see no reason at the time to have called of this way

I'll talk with Luis for take this, apparently the test fails because needs
remoteobjects==1.1.1 

repoquery --releasever 19 --provides python-remoteobjects
python-remoteobjects = 1.1-6.fc19

and the latest release from upstream is
https://pypi.python.org/pypi/remoteobjects/1.2.1

so, I 'll try to test the test stack with 1.1 from fedora system-wide

Best Regards
Comment 12 Luis Bazan 2014-02-17 16:37:30 EST
New SPEC:
http://lbazan.fedorapeople.org/python-django-typepadapp.spec

New SRPM:
http://lbazan.fedorapeople.org/python-django-typepadapp-1.2.1-4.fc20.src.rpm

Fix: name typepad to typepadapp 
Fix: Test


Best Regards!
Comment 13 Bohuslav "Slavek" Kabrda 2014-02-18 02:19:06 EST
- It seems that you want to Obsolete/Provide django-typepad, but you Provide/Obsolete typepadapp.
- You should use %{__python2} macro instead of "python" binary.
- The URL you're referring to (http://sixapart.github.com/typepadapp/) doesn't exist (at least for me it says "404 Page not found).
- Rpmlint complains about macros in %defattr and %files in changelog. You should double their percent signs, so that they don't get expanded.

Otherwise the package looks good, so once you fix this, I can approve.
Comment 14 Luis Bazan 2014-02-18 09:32:46 EST
New Spec:
http://lbazan.fedorapeople.org/python-django-typepadapp.spec

New SRPM:
http://lbazan.fedorapeople.org/python-django-typepadapp-1.2.1-5.fc20.src.rpm

- Fix URL to https://github.com/eelias/typepadapp
- remove macros in changelog
- use %{__python2}
- Obsoletes: django-typepad < %{obs_ver}
Comment 15 Bohuslav "Slavek" Kabrda 2014-02-18 09:39:50 EST
Looks fine now. One more question, shouldn't you have more runtime Requires? The setup.py at 1.2.1 tag [1] lists more runtime deps:

requires=['Django(>=1.1.1)', 'typepad(==2.0)', 'FeedParser', 'iso8601']

I'm really sorry that I didn't notice this before, but this should get fixed, I think.

[1] https://github.com/eelias/typepadapp/blob/release-1.2.1/setup.py
Comment 17 Bohuslav "Slavek" Kabrda 2014-02-18 09:58:50 EST
Great, APPROVED.
Comment 18 Luis Bazan 2014-02-18 10:01:44 EST
finally!

very very Thanks! sorry for all lates responses!

Regards!
Comment 19 Luis Bazan 2014-02-18 10:04:50 EST
New Package SCM Request
=======================
Package Name: python-django-typepadapp
Short Description: A helper Django app for making TypePad applications
Owners: lbazan
Branches: f19 f20 el6 epel7
Comment 20 Gwyn Ciesla 2014-02-18 10:28:41 EST
Git done (by process-git-requests).
Comment 21 Fedora Update System 2014-02-18 12:08:04 EST
python-django-typepadapp-1.2.1-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-django-typepadapp-1.2.1-6.fc20
Comment 22 Fedora Update System 2014-02-18 12:08:27 EST
python-django-typepadapp-1.2.1-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-django-typepadapp-1.2.1-6.fc19
Comment 23 Fedora Update System 2014-02-19 19:43:13 EST
Package python-django-typepadapp-1.2.1-6.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-django-typepadapp-1.2.1-6.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-2737/python-django-typepadapp-1.2.1-6.fc19
then log in and leave karma (feedback).
Comment 24 Fedora Update System 2014-02-27 10:04:08 EST
python-django-typepadapp-1.2.1-8.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-django-typepadapp-1.2.1-8.el6
Comment 25 Fedora Update System 2014-02-28 13:31:24 EST
python-django-typepadapp-1.2.1-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2014-02-28 13:41:23 EST
python-django-typepadapp-1.2.1-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2014-03-21 18:33:40 EDT
python-django-typepadapp-1.2.1-9.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.